image: ubuntu

build:
  stage: build
  tags:
  - Linux
  - Docker
  - Server
  script:
    - apt-get update
    - apt-get install -y mingw-w64
    - /usr/bin/x86_64-w64-mingw32-g++ -static-libstdc++ -static-libgcc -static -std=c++20 AskAnswer.cpp -o askanswer.exe
  artifacts:
    paths:
      - askanswer.exe
